/*------------------------------------*\
    #COMPONENT.TEASER-LIST
\*------------------------------------*/
/**
 * A list of teaser components stacked on top of each other.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';


/**
 * An item in the teaser-list. Typically wraps the c-teaser component.
 *
 * 1. Set size of the image to 6 Grid Units
 * 2. In case the teaser does not have an image assigned to, we want to make
 *    sure it does not flow where the pic should have been. Instead it shall
 *    be placed where it would be if there was an image. By giving the
 *    c-teaser__img element a min-height if will always show up as a left-
 *    floating block level object.
 * 3. Remove top-margin from teaser content's first element so it aligns well
 *    with the images top border.
 */
.#{$inuit-namespace}teaser-list,
%#{$inuit-namespace}teaser-list {
    //padding: 30px 0;
}

.#{$inuit-namespace}teaser-list__item,
%#{$inuit-namespace}teaser-list__item {
    margin-bottom: $drk-base-unit;
    padding-bottom: $drk-base-unit;
    /*border-bottom: 1px solid $drk-color-light-grey;*/

    &:last-of-type {
        border: 0;
        padding-bottom: 0;
    }

    .c-teaser__img,
    %c-teaser__img {
        width: 100%;

        @media #{$small-only} {
            margin-bottom: 1em;
        }

        @media #{$medium-up} {
            width: 25%;
        }
    }

    .c-teaser__content,
    %c-teaser__content {
        @media #{$small-only} {
            width: 100%;
        }

        @media #{$medium-up} {
            width: 70%;
        }
    }
}
